GNU bug report logs - #25395
25.1; Emacs/W3 crashes on every url with elisp error (void-variable w3--args)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Steven Litvintchouk <sdlitvin@HIDDEN>; merged with #25394; dated Sun, 8 Jan 2017 13:37:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) wontfix and notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25395 <at> debbugs.gnu.org:


Received: (at 25395) by debbugs.gnu.org; 8 Jan 2017 18:42:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 13:42:27 2017
Received: from localhost ([127.0.0.1]:47103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cQIQE-0004Oy-W7
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2017 13:42:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53295)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cQIQE-0004Om-AI
 for 25395 <at> debbugs.gnu.org; Sun, 08 Jan 2017 13:42:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cQIQ7-00083s-Km
 for 25395 <at> debbugs.gnu.org; Sun, 08 Jan 2017 13:42:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.7 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59952)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cQIPm-0007zs-OO; Sun, 08 Jan 2017 13:41:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cQIPm-0007zu-87; Sun, 08 Jan 2017 13:41:58 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Steven Litvintchouk <sdlitvin@HIDDEN>
Subject: Re: bug#25395: 25.1;
 Emacs/W3 crashes on every url with elisp error (void-variable
 w3--args)
References: <78e2b7ed-dae2-822e-1c94-4990160e50fe@HIDDEN>
 <rl4m19z9nj.fsf@HIDDEN>
X-Spook: Fedayeen Violence EuroFed munitions Bomb squad Plot
X-Ran: S+())\YCqMIrb^{ToWfR}@x8t7649~Y^lzbM#oVb1R"JZ[26mI?t!KRoPILs0Y4#S~|e"5
X-Hue: brightred
X-Attribution: GM
Date: Sun, 08 Jan 2017 13:41:58 -0500
In-Reply-To: <rl4m19z9nj.fsf@HIDDEN> (Glenn Morris's message of
 "Sun, 08 Jan 2017 13:30:56 -0500")
Message-ID: <wwshotxukp.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: 25395
Cc: 25395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)

Glenn Morris wrote:

> w3 is not part of Emacs or GNU ELPA. Please report your issue to whoever
> maintains w3. (You might want to switch to eww, which is part of Emacs.)

I'm sorry, apparently it is in GNU ELPA.
(I get confused by the things that are maintained as externals in elpa.git).
Still, doesn't seem actively maintained, based on
http://git.savannah.gnu.org/cgit/emacs/elpa.git/?h=externals/w3





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25395; Package emacs. Full text available.
bug closed, send any further explanations to 25394 <at> debbugs.gnu.org and sdlitvin@HIDDEN (sdlitvin@HIDDEN) Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug and wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25395 <at> debbugs.gnu.org:


Received: (at 25395) by debbugs.gnu.org; 8 Jan 2017 18:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 13:31:12 2017
Received: from localhost ([127.0.0.1]:47078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cQIFM-00046o-E8
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2017 13:31:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cQIFK-00046a-1U
 for 25395 <at> debbugs.gnu.org; Sun, 08 Jan 2017 13:31:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cQIFE-00059r-1w
 for 25395 <at> debbugs.gnu.org; Sun, 08 Jan 2017 13:31:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.1 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59890)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cQIF8-00058U-5q; Sun, 08 Jan 2017 13:30:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cQIF6-0008IM-JE; Sun, 08 Jan 2017 13:30:56 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Steven Litvintchouk <sdlitvin@HIDDEN>
Subject: Re: bug#25395: 25.1;
 Emacs/W3 crashes on every url with elisp error (void-variable
 w3--args)
References: <78e2b7ed-dae2-822e-1c94-4990160e50fe@HIDDEN>
X-Spook: Immigration Customs Enforcement Osama data haven Crest
X-Ran: o<T|6@B,kEs/p3e0LBc8Rqu-$&S0IApffH5%wm`Eocy+jZd4yQm<sL7rW|[gu-ts`v5}5X
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 08 Jan 2017 13:30:56 -0500
In-Reply-To: <78e2b7ed-dae2-822e-1c94-4990160e50fe@HIDDEN> (Steven
 Litvintchouk's message of "Sun, 8 Jan 2017 08:35:36 -0500")
Message-ID: <rl4m19z9nj.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.2 (--------)
X-Debbugs-Envelope-To: 25395
Cc: 25395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.2 (--------)


w3 is not part of Emacs or GNU ELPA. Please report your issue to whoever
maintains w3. (You might want to switch to eww, which is part of Emacs.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25395; Package emacs. Full text available.
Merged 25394 25395. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2017 13:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 08:36:12 2017
Received: from localhost ([127.0.0.1]:46528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cQDdl-0008Jm-PI
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2017 08:36:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43125)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdlitvin@HIDDEN>) id 1cQDdg-0008J9-8k
 for submit <at> debbugs.gnu.org; Sun, 08 Jan 2017 08:36:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sdlitvin@HIDDEN>) id 1cQDdT-0003Tf-Nb
 for submit <at> debbugs.gnu.org; Sun, 08 Jan 2017 08:35:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52041)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sdlitvin@HIDDEN>)
 id 1cQDdT-0003Tb-Kx
 for submit <at> debbugs.gnu.org; Sun, 08 Jan 2017 08:35:47 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34079)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdlitvin@HIDDEN>) id 1cQDdQ-0007Xx-K3
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2017 08:35:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sdlitvin@HIDDEN>) id 1cQDdN-0003Sm-Bl
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2017 08:35:44 -0500
Received: from elasmtp-curtail.atl.sa.earthlink.net ([209.86.89.64]:58043)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sdlitvin@HIDDEN>)
 id 1cQDdM-0003Ru-Qz
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2017 08:35:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=earthlink.net;
 s=dk12062016; t=1483882540; bh=lwQgqdcFfL285auQokPJcY396Ci2zUiD/On2
 mBCJvj4=; h=Received:To:From:Subject:Message-ID:Date:User-Agent:
 MIME-Version:Content-Type:X-ELNK-Trace:X-Originating-IP; b=MHGS4F1
 E3pnzzkhHabIFh+YScV+Ey3XyLGp9t3brA1d3KyVF9hxM45VkFfSbUcNzzwrFKDA68K
 JlVRdeuDArw/bvPd98mH2ngfUKo7+koAFzjsQ4nirdEqVYYY7v8iB81gvkg5w4ltk8d
 uM4DvsRilqDwp+gNH6EEwa3eqJe2tA6Yml0qaWlE0PDfPChRBdYaHRJ/6rI335e0J74
 ExuPNnZ4E9GFx6C77PdmmWqscS01J8CdVw5NPK0wZItDkE77uecJXoWBdWqwAx46LGd
 lXo57sXLGh3QTI3OYiWsW9PFWWMBBoTWHjt27X/P8m1UCT87+/XwA/OIp3BIM+goAUQ
 ==
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=dk12062016; d=earthlink.net;
 b=AbClIKnyCl3DOw8aAAWn11BX173Wli76oPsUHod3HhlYf9BNIcX5gu/2BNmRA5lM/98hl+SGSdrpPt6cn8RFGUYSNTDWFIBskzaNh/RgPt6tcLLzma7SunjppAVGfAxMMGZ9QruVS+BLIxIVaIRabj10b/kGZndL3a9GLB9WOXySpBXaF2dHTlj6FqKT//CNpY2lReBOuOMZhC7YuzfNSiTtYxSKaa9gQr3H2k9bYpbZ8ovvLlhQe+YpXts8uy9FhQulCqn0nUK+9CmNzY+GQSH1gIUgePYGn6Lm9q02Ye5GM0tWUjcmYueigCFxZSqTjxTdrLDNUjySkQ52xPPccA==;
 h=Received:To:From:Subject:Message-ID:Date:User-Agent:MIME-Version:Content-Type:X-ELNK-Trace:X-Originating-IP;
Received: from [98.110.142.163] (helo=[192.168.0.202])
 by elasmtp-curtail.atl.sa.earthlink.net with esmtpsa (TLSv1:AES128-SHA:128)
 (Exim 4.67) (envelope-from <sdlitvin@HIDDEN>)
 id 1cQDdK-0004xL-TE
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2017 08:35:39 -0500
To: bug-gnu-emacs@HIDDEN
From: Steven Litvintchouk <sdlitvin@HIDDEN>
Subject: 25.1; Emacs/W3 crashes on every url with elisp error (void-variable
 w3--args)
Message-ID: <78e2b7ed-dae2-822e-1c94-4990160e50fe@HIDDEN>
Date: Sun, 8 Jan 2017 08:35:36 -0500
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.6.0
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="------------91774ADE076A905631ACE9DD"
X-ELNK-Trace: d3fff546685dead41aa676d7e74259b7b3291a7d08dfec799ce80b7ae579a6f9f4cb64106accc846350badd9bab72f9c350badd9bab72f9c350badd9bab72f9c
X-Originating-IP: 98.110.142.163
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.
--------------91774ADE076A905631ACE9DD
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit


Invoking the command W3-fetch interactively, I enter a URL when
prompted. But w3 always crashes with a backtrace like this:

Debugger entered--Lisp error: (void-variable w3--args)
   w3-display-node((*document nil ((html ((xmlns . 
"http://www.w3.org/1999/xhtml")) ((head nil ((title nil ("Alabama New 
License Application Info | DMV.org")) (meta (... ...) nil) (meta (... 
...) nil) (meta (... ...) nil) (meta (... ...) nil) (meta (... ...) nil) 
(meta (... ...) nil) (meta (... ...) nil) (meta (... ...) nil) (meta 
(... ...) nil) (meta (... ...) nil) (meta (... ...) nil) (meta (... ...) 
nil) (meta (... ...) nil) (link (... ... ...) nil) (link (... ... ... 
... ...) nil) (link (... ... ... ... ...) nil))) (body nil ((bodytext 
nil (... ... ... ... ... ...)))))))))
   w3-draw-tree(((*document nil ((html ((xmlns . 
"http://www.w3.org/1999/xhtml")) ((head nil ((title nil ...) (meta ... 
nil) (meta ... nil) (meta ... nil) (meta ... nil) (meta ... nil) (meta 
... nil) (meta ... nil) (meta ... nil) (meta ... nil) (meta ... nil) 
(meta ... nil) (meta ... nil) (meta ... nil) (link ... nil) (link ... 
nil) (link ... nil))) (body nil ((bodytext nil ...)))))))))
   w3-prepare-buffer()
w3-fetch-callback("http://www.dmv.org/al-alabama/apply-license.php")
* w3-fetch-redirect-callback(nil 
"http://www.dmv.org/al-alabama/apply-license.php")
   apply(w3-fetch-redirect-callback (nil 
"http://www.dmv.org/al-alabama/apply-license.php"))
   url-http-activate-callback()
   url-http-chunked-encoding-after-change-function(55126 55599 473)
   url-http-generic-filter(#<process www.dmv.org> "\" 
src=\"http://onlineguru.112.2o7.net/b/ss/dmvorg/1/H.24.1--NS/0\"/>\n<img 
height=\"1\" width=\"1\" alt=\"\" 
src=\"http://pixel.quantserve.com/pixel/p-s_aNqFS0D2k_x.gif\"/>\n<img 
height=\"1\" width=\"1\" alt=\"\" 
src=\"http://googleads.g.doubleclick.net/pagead/viewthroughconversion/1066174917/?value=0&amp;guid=ON&amp;script=0\"/>\n<img 
height=\"1\" width=\"1\" alt=\"\" 
src=\"https://www.facebook.com/tr?id=729609693827696&amp;ev=PixelInitialized\"/>\n</div></noscript>\n\n</body>\n</html>\n\n00000000\n\n")
   read-event(nil t 2)
   sit-for(2)
   execute-extended-command(nil "w3-fetch" "w3-fetch")
   funcall-interactively(execute-extended-command nil "w3-fetch" "w3-fetch")
   call-interactively(execute-extended-command nil nil)
   command-execute(execute-extended-command)

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
  of 2016-09-17 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 10.0.14393
Configured using:
  'configure --without-dbus --without-compress-install CFLAGS=-static'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS

Important settings:
   value of $LANG: ENU
   locale-coding-system: cp1252

Major mode: Debugger

Minor modes in effect:
   shell-dirtrack-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Parsed  93% of 54794...
Parsed  96% of 54794...
Parsed  99% of 54794...
Parsed 100% of 54794...done
Drawing... /
Entering debugger...
Quit
Type "q" in help window to delete it
debugger-frame-number: This line is not a function call
funcall-interactively: End of buffer [4 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail debug network-stream nsm
starttls url-http tls gnutls w3-hot mm-archive message dired rfc822 mml
mml-sec epg mailabbrev gmm-utils mailheader mail-utils mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
url-cache w3-toolbar w3-emacs w3-props thingatpt url-auth w3 w3-menu
url-tramp tramp tramp-compat tramp-loaddefs trampver ucs-normalize shell
pcomplete format-spec url-queue browse-url url-nfs url-file url-dired
url-irc url-gw cus-edit cus-start cus-load w3-emulate w3-parse
w3-fast-parse xml w3-display w3-mouse w3-imap url-handlers url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
w3-widget url-util mailcap w3-vars w3-keymap wid-edit w3-cus url-parse
auth-source cl-seq eieio eieio-core cl-macs gnus-util mm-util help-fns
mail-prsvr password-cache url-vars css font devices cl w3-compat
pseudocode-mode derived advice compile which-func imenu align find-file
skeleton sgml-mode finder-inf package epg-config seq byte-opt gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
setup-cygwin cygwin-mount ange-ftp comint ansi-color ring easymenu
printing ps-print ps-def lpr time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table w32-win w32-vars term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 16 330537 20056)
  (symbols 56 30026 2)
  (miscs 48 213 187)
  (strings 32 56292 9242)
  (string-bytes 1 1575569)
  (vectors 16 44363)
  (vector-slots 8 779923 12848)
  (floats 8 589 206)
  (intervals 56 621 1)
  (buffers 976 31))


--------------91774ADE076A905631ACE9DD
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>

    <meta http-equiv="content-type" content="text/html; charset=utf-8">
  </head>
  <body bgcolor="#FFFFFF" text="#000066">
    <p><br>
      Invoking the command W3-fetch interactively, I enter a URL when<br>
      prompted. But w3 always crashes with a backtrace like this:<br>
      <br>
      Debugger entered--Lisp error: (void-variable w3--args)<br>
        w3-display-node((*document nil ((html ((xmlns .
      <a class="moz-txt-link-rfc2396E" href="http://www.w3.org/1999/xhtml">"http://www.w3.org/1999/xhtml"</a>)) ((head nil ((title nil ("Alabama
      New License Application Info | DMV.org")) (meta (... ...) nil)
      (meta (... ...) nil) (meta (... ...) nil) (meta (... ...) nil)
      (meta (... ...) nil) (meta (... ...) nil) (meta (... ...) nil)
      (meta (... ...) nil) (meta (... ...) nil) (meta (... ...) nil)
      (meta (... ...) nil) (meta (... ...) nil) (meta (... ...) nil)
      (link (... ... ...) nil) (link (... ... ... ... ...) nil) (link
      (... ... ... ... ...) nil))) (body nil ((bodytext nil (... ... ...
      ... ... ...)))))))))<br>
        w3-draw-tree(((*document nil ((html ((xmlns .
      <a class="moz-txt-link-rfc2396E" href="http://www.w3.org/1999/xhtml">"http://www.w3.org/1999/xhtml"</a>)) ((head nil ((title nil ...) (meta
      ... nil) (meta ... nil) (meta ... nil) (meta ... nil) (meta ...
      nil) (meta ... nil) (meta ... nil) (meta ... nil) (meta ... nil)
      (meta ... nil) (meta ... nil) (meta ... nil) (meta ... nil) (link
      ... nil) (link ... nil) (link ... nil))) (body nil ((bodytext nil
      ...)))))))))<br>
        w3-prepare-buffer()<br>
       
      w3-fetch-callback(<a class="moz-txt-link-rfc2396E" href="http://www.dmv.org/al-alabama/apply-license.php">"http://www.dmv.org/al-alabama/apply-license.php"</a>)<br>
      * w3-fetch-redirect-callback(nil
      <a class="moz-txt-link-rfc2396E" href="http://www.dmv.org/al-alabama/apply-license.php">"http://www.dmv.org/al-alabama/apply-license.php"</a>)<br>
        apply(w3-fetch-redirect-callback (nil
      <a class="moz-txt-link-rfc2396E" href="http://www.dmv.org/al-alabama/apply-license.php">"http://www.dmv.org/al-alabama/apply-license.php"</a>))<br>
        url-http-activate-callback()<br>
        url-http-chunked-encoding-after-change-function(55126 55599 473)<br>
        url-http-generic-filter(#&lt;process <a class="moz-txt-link-abbreviated" href="http://www.dmv.org">www.dmv.org</a>&gt; "\"
src=\<a class="moz-txt-link-rfc2396E" href="http://onlineguru.112.2o7.net/b/ss/dmvorg/1/H.24.1--NS/0\">"http://onlineguru.112.2o7.net/b/ss/dmvorg/1/H.24.1--NS/0\"</a>/&gt;\n&lt;img
      height=\"1\" width=\"1\" alt=\"\"
src=\<a class="moz-txt-link-rfc2396E" href="http://pixel.quantserve.com/pixel/p-s_aNqFS0D2k_x.gif\">"http://pixel.quantserve.com/pixel/p-s_aNqFS0D2k_x.gif\"</a>/&gt;\n&lt;img
      height=\"1\" width=\"1\" alt=\"\"
src=\<a class="moz-txt-link-rfc2396E" href="http://googleads.g.doubleclick.net/pagead/viewthroughconversion/1066174917/?value=0&amp;amp;guid=ON&amp;amp;script=0\">"http://googleads.g.doubleclick.net/pagead/viewthroughconversion/1066174917/?value=0&amp;amp;guid=ON&amp;amp;script=0\"</a>/&gt;\n&lt;img
      height=\"1\" width=\"1\" alt=\"\"
src=\<a class="moz-txt-link-rfc2396E" href="https://www.facebook.com/tr?id=729609693827696&amp;amp;ev=PixelInitialized\">"https://www.facebook.com/tr?id=729609693827696&amp;amp;ev=PixelInitialized\"</a>/&gt;\n&lt;/div&gt;&lt;/noscript&gt;\n\n&lt;/body&gt;\n&lt;/html&gt;\n\n00000000\n\n")<br>
        read-event(nil t 2)<br>
        sit-for(2)<br>
        execute-extended-command(nil "w3-fetch" "w3-fetch")<br>
        funcall-interactively(execute-extended-command nil "w3-fetch"
      "w3-fetch")<br>
        call-interactively(execute-extended-command nil nil)<br>
        command-execute(execute-extended-command)<br>
      <br>
      In GNU Emacs 25.1.1 (x86_64-w64-mingw32)<br>
       of 2016-09-17 built on LAPHROAIG<br>
      Windowing system distributor 'Microsoft Corp.', version 10.0.14393<br>
      Configured using:<br>
       'configure --without-dbus --without-compress-install
      CFLAGS=-static'<br>
      <br>
      Configured features:<br>
      XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB<br>
      TOOLKIT_SCROLL_BARS<br>
      <br>
      Important settings:<br>
        value of $LANG: ENU<br>
        locale-coding-system: cp1252<br>
      <br>
      Major mode: Debugger<br>
      <br>
      Minor modes in effect:<br>
        shell-dirtrack-mode: t<br>
        tooltip-mode: t<br>
        global-eldoc-mode: t<br>
        electric-indent-mode: t<br>
        mouse-wheel-mode: t<br>
        tool-bar-mode: t<br>
        menu-bar-mode: t<br>
        file-name-shadow-mode: t<br>
        global-font-lock-mode: t<br>
        font-lock-mode: t<br>
        blink-cursor-mode: t<br>
        auto-composition-mode: t<br>
        auto-encryption-mode: t<br>
        auto-compression-mode: t<br>
        buffer-read-only: t<br>
        line-number-mode: t<br>
        transient-mark-mode: t<br>
      <br>
      Recent messages:<br>
      Parsed  93% of 54794...<br>
      Parsed  96% of 54794...<br>
      Parsed  99% of 54794...<br>
      Parsed 100% of 54794...done<br>
      Drawing... /<br>
      Entering debugger...<br>
      Quit<br>
      Type "q" in help window to delete it<br>
      debugger-frame-number: This line is not a function call<br>
      funcall-interactively: End of buffer [4 times]<br>
      <br>
      Load-path shadows:<br>
      None found.<br>
      <br>
      Features:<br>
      (shadow sort mail-extr emacsbug sendmail debug network-stream nsm<br>
      starttls url-http tls gnutls w3-hot mm-archive message dired
      rfc822 mml<br>
      mml-sec epg mailabbrev gmm-utils mailheader mail-utils mm-decode<br>
      mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums<br>
      url-cache w3-toolbar w3-emacs w3-props thingatpt url-auth w3
      w3-menu<br>
      url-tramp tramp tramp-compat tramp-loaddefs trampver ucs-normalize
      shell<br>
      pcomplete format-spec url-queue browse-url url-nfs url-file
      url-dired<br>
      url-irc url-gw cus-edit cus-start cus-load w3-emulate w3-parse<br>
      w3-fast-parse xml w3-display w3-mouse w3-imap url-handlers url
      url-proxy<br>
      url-privacy url-expand url-methods url-history url-cookie
      url-domsuf<br>
      w3-widget url-util mailcap w3-vars w3-keymap wid-edit w3-cus
      url-parse<br>
      auth-source cl-seq eieio eieio-core cl-macs gnus-util mm-util
      help-fns<br>
      mail-prsvr password-cache url-vars css font devices cl w3-compat<br>
      pseudocode-mode derived advice compile which-func imenu align
      find-file<br>
      skeleton sgml-mode finder-inf package epg-config seq byte-opt gv<br>
      bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase
      cl-lib<br>
      setup-cygwin cygwin-mount ange-ftp comint ansi-color ring easymenu<br>
      printing ps-print ps-def lpr time-date mule-util tooltip eldoc
      electric<br>
      uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
      ls-lisp<br>
      disp-table w32-win w32-vars term/common-win tool-bar dnd fontset
      image<br>
      regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode<br>
      prog-mode register page menu-bar rfn-eshadow timer select
      scroll-bar<br>
      mouse jit-lock font-lock syntax facemenu font-core frame
      cl-generic cham<br>
      georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao<br>
      korean japanese eucjp-ms cp51932 hebrew greek romanian slovak
      czech<br>
      european ethiopic indian cyrillic chinese charscript case-table
      epa-hook<br>
      jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice<br>
      loaddefs button faces cus-face macroexp files text-properties
      overlay<br>
      sha1 md5 base64 format env code-pages mule custom widget<br>
      hashtable-print-readable backquote w32notify w32 multi-tty<br>
      make-network-process emacs)<br>
      <br>
      Memory information:<br>
      ((conses 16 330537 20056)<br>
       (symbols 56 30026 2)<br>
       (miscs 48 213 187)<br>
       (strings 32 56292 9242)<br>
       (string-bytes 1 1575569)<br>
       (vectors 16 44363)<br>
       (vector-slots 8 779923 12848)<br>
       (floats 8 589 206)<br>
       (intervals 56 621 1)<br>
       (buffers 976 31))<br>
      <br>
    </p>
  </body>
</html>

--------------91774ADE076A905631ACE9DD--




Acknowledgement sent to Steven Litvintchouk <sdlitvin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25395; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Jan 2017 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.